@font-face {
    font-family: 'TeXGyreHeros';
    src: url('/fonts/tg2_501otf/texgyreheros-bolditalic.otf') format('truetype');
    font-weight: bold;
    font-style: italic;
}

@font-face {
    font-family: 'TeXGyreTermes';
    src: url('/fonts/tg2_501otf/texgyretermes-italic.otf') format('truetype');
    font-weight: normal;
    font-style: italic;
}

@font-face {
    font-family: 'TeXGyreTermes';
    src: url('/fonts/tg2_501otf/texgyretermes-bolditalic.otf') format('truetype');
    font-weight: bold;
    font-style: italic;
}

@font-face {
    font-family: 'TeXGyreCursor';
    src: url('/fonts/tg2_501otf/texgyrecursor-regular.otf') format('truetype');
    font-weight: normal;
    font-style: normal;
    font-feature-settings: "liga" 0;
    font-variant-ligatures: none;
}

@font-face {
    font-family: 'TeXGyreTermes';
    src: url('/fonts/tg2_501otf/texgyretermes-regular.otf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'TeXGyreSchola';
    src: url('/fonts/tg2_501otf/texgyreschola-regular.otf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'TeXGyreCursor';
    src: url('/fonts/tg2_501otf/texgyrecursor-italic.otf') format('truetype');
    font-weight: normal;
    font-style: italic;
    font-feature-settings: "liga" 0;
    font-variant-ligatures: none;
}

@font-face {
    font-family: 'TeXGyreHeros';
    src: url('/fonts/tg2_501otf/texgyreheros-italic.otf') format('truetype');
    font-weight: normal;
    font-style: italic;
}

@font-face {
    font-family: 'TeXGyreHeros';
    src: url('/fonts/tg2_501otf/texgyreheros-regular.otf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'TeXGyreSchola';
    src: url('/fonts/tg2_501otf/texgyreschola-bold.otf') format('truetype');
    font-weight: bold;
    font-style: normal;
}

@font-face {
    font-family: 'TeXGyreSchola';
    src: url('/fonts/tg2_501otf/texgyreschola-bolditalic.otf') format('truetype');
    font-weight: bold;
    font-style: italic;
}

@font-face {
    font-family: 'TeXGyreHeros';
    src: url('/fonts/tg2_501otf/texgyreheros-bold.otf') format('truetype');
    font-weight: bold;
    font-style: normal;
}

@font-face {
    font-family: 'TeXGyreSchola';
    src: url('/fonts/tg2_501otf/texgyreschola-italic.otf') format('truetype');
    font-weight: normal;
    font-style: italic;
}

@font-face {
    font-family: 'TeXGyreCursor';
    src: url('/fonts/tg2_501otf/texgyrecursor-bold.otf') format('truetype');
    font-weight: bold;
    font-style: normal;
    font-feature-settings: "liga" 0;
    font-variant-ligatures: none;
}

@font-face {
    font-family: 'TeXGyreTermes';
    src: url('/fonts/tg2_501otf/texgyretermes-bold.otf') format('truetype');
    font-weight: bold;
    font-style: normal;
}

@font-face {
    font-family: 'TeXGyreCursor';
    src: url('/fonts/tg2_501otf/texgyrecursor-bolditalic.otf') format('truetype');
    font-weight: bold;
    font-style: italic;
    font-feature-settings: "liga" 0;
    font-variant-ligatures: none;
}

@font-face {
    font-family: 'FiraCodeNerdFont';
    src: url('/fonts/FiraCodeNerdFont/FiraCodeNerdFont-Medium.ttf') format('truetype');
    font-weight: 500;
    font-style: normal;
}

@font-face {
    font-family: 'FiraCodeNerdFontPropo';
    src: url('/fonts/FiraCodeNerdFont/FiraCodeNerdFontPropo-Retina.ttf') format('truetype');
    font-weight: 450;
    font-style: normal;
}

@font-face {
    font-family: 'FiraCodeNerdFont';
    src: url('/fonts/FiraCodeNerdFont/FiraCodeNerdFont-SemiBold.ttf') format('truetype');
    font-weight: 600;
    font-style: normal;
}

@font-face {
    font-family: 'FiraCodeNerdFontPropo';
    src: url('/fonts/FiraCodeNerdFont/FiraCodeNerdFontPropo-Regular.ttf') format('truetype');
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: 'FiraCodeNerdFontPropo';
    src: url('/fonts/FiraCodeNerdFont/FiraCodeNerdFontPropo-Bold.ttf') format('truetype');
    font-weight: 700;
    font-style: normal;
}

@font-face {
    font-family: 'FiraCodeNerdFont';
    src: url('/fonts/FiraCodeNerdFont/FiraCodeNerdFont-Retina.ttf') format('truetype');
    font-weight: 450;
    font-style: normal;
}

@font-face {
    font-family: 'FiraCodeNerdFontPropo';
    src: url('/fonts/FiraCodeNerdFont/FiraCodeNerdFontPropo-Medium.ttf') format('truetype');
    font-weight: 500;
    font-style: normal;
}

@font-face {
    font-family: 'FiraCodeNerdFont';
    src: url('/fonts/FiraCodeNerdFont/FiraCodeNerdFont-Regular.ttf') format('truetype');
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: 'FiraCodeNerdFontPropo';
    src: url('/fonts/FiraCodeNerdFont/FiraCodeNerdFontPropo-Light.ttf') format('truetype');
    font-weight: 300;
    font-style: normal;
}

@font-face {
    font-family: 'FiraCodeNerdFont';
    src: url('/fonts/FiraCodeNerdFont/FiraCodeNerdFont-Bold.ttf') format('truetype');
    font-weight: 700;
    font-style: normal;
}

@font-face {
    font-family: 'FiraCodeNerdFont';
    src: url('/fonts/FiraCodeNerdFont/FiraCodeNerdFont-Light.ttf') format('truetype');
    font-weight: 300;
    font-style: normal;
}

@font-face {
    font-family: 'FiraCodeNerdFontPropo';
    src: url('/fonts/FiraCodeNerdFont/FiraCodeNerdFontPropo-SemiBold.ttf') format('truetype');
    font-weight: 600;
    font-style: normal;
}

@font-face {
    font-family: 'NotoSerifCJKtc';
    src: url('/fonts/NotoSerifCJKtc-VF.otf') format('truetype');
    /* font-weight: 400; */
    /* font-style: normal; */
}

body {
	margin: 0px 0px 0px 0px;
    font-family: TeXGyreTermes, serif;
    margin-left: auto;
    margin-right: auto;
    width: 100%;
    max-width: 800px;
    font-size: 12pt;
    line-height: 1.0;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    margin-top: 0.5em;
    margin-bottom: 0.5em;
}

p {
    margin-top: 0.5em;
    margin-bottom: 0.5em;
}

details {
    background-color: #f0f0f0; 
    /* padding: 10px;  */
    /* border-radius: 5px;  */
}

.head {
    font-size: 10%;
    transform: scale(.9, 1);
    font-family: TeXGyreCursor, monospace;
    font-weight: bold;
    white-space: pre;
    margin: 0px;
    padding: 0px;
    line-height: 1;
    display: inline-block;
}

.email {
    font-size: 25%;
    font-family: TeXGyreCursor, monospace;
    font-weight: bold;
    white-space: pre;
    margin: 0px;
    padding: 0px;
    line-height: 1;
    display: inline-block;
}

code {
    font-size: smaller;
    /* font-weight: bold; */
    font-family: FiraCodeNerdFont, TeXGyreCursor, monospace;
    display: inline-block;
    padding-top: 0.2em;
    padding-bottom: 0.2em;
}

.code {
    font-size: smaller;
    /* font-weight: bold; */
    font-family: FiraCodeNerdFont, TeXGyreCursor, monospace;
    white-space: pre;
    width: inherit; 
    overflow-x: auto;
    overflow-y: hidden;
    line-height: 1;
    display: block;
    padding-top: 0.2em;
    padding-bottom: 0.2em;
}

.tc {
    font-family: NotoSerifCJKtc, serif;
}

.scroll {
    text-align: center;
    width: inherit; 
    overflow-x: auto;
    overflow-y: hidden;
    white-space: nowrap;
}

mjx-container:is([display]) {
    width: inherit; 
    overflow-x: auto;
    overflow-y: hidden;
}

table.std, table.std tr, table.std td {
  border: 1px solid black;
  border-collapse: collapse;
  padding: 5px;
}
